p4-projects@freebsd.org
[Top] [All Lists]

PERFORCE change 114717 for review

Subject: PERFORCE change 114717 for review
From: Robert Watson
Date: Mon, 19 Feb 2007 13:58:53 GMT
http://perforce.freebsd.org/chv.cgi?CH=114717

Change 114717 by rwatson@rwatson_zoo on 2007/02/19 13:58:26

        Integrate TrustedBSD base branch from FreeBSD CVS:
        
        - CIDR-modernized netstat -r output.
        - VFS_VPTOFH -> VOP_VPTOFH
        - firmware(9) cleanup
        - vm_page_queue lock reduction
        - GEOM_LABEL
        - cd9660 moved to fs/
        - DDB show options for several types of network objects
        - PIM non-optional
        - Various minor priv(9) tweaks to privilege checks
        - UMA interface to set cache line size
        - The usual countless driver updates and enhancements

Affected files ...

.. //depot/projects/trustedbsd/base/ObsoleteFiles.inc#19 integrate
.. //depot/projects/trustedbsd/base/UPDATING#76 integrate
.. //depot/projects/trustedbsd/base/bin/expr/expr.y#8 integrate
.. //depot/projects/trustedbsd/base/etc/defaults/rc.conf#65 integrate
.. //depot/projects/trustedbsd/base/etc/devd.conf#21 integrate
.. //depot/projects/trustedbsd/base/etc/network.subr#16 integrate
.. //depot/projects/trustedbsd/base/etc/rc.d/dhclient#17 integrate
.. //depot/projects/trustedbsd/base/etc/rc.d/hostname#7 integrate
.. //depot/projects/trustedbsd/base/etc/rc.d/netif#16 integrate
.. //depot/projects/trustedbsd/base/gnu/usr.bin/binutils/Makefile.inc0#13 
integrate
.. //depot/projects/trustedbsd/base/gnu/usr.bin/binutils/libbfd/bfd.h#2 
integrate
.. //depot/projects/trustedbsd/base/include/Makefile#59 integrate
.. //depot/projects/trustedbsd/base/lib/libc/gen/getcap.3#8 integrate
.. //depot/projects/trustedbsd/base/lib/libc/sys/kse.2#15 integrate
.. //depot/projects/trustedbsd/base/lib/libc/sys/ntp_adjtime.2#3 integrate
.. //depot/projects/trustedbsd/base/lib/libypclnt/Makefile#7 integrate
.. //depot/projects/trustedbsd/base/lib/libypclnt/ypclnt.3#1 branch
.. //depot/projects/trustedbsd/base/libexec/ftpd/ftpd.c#33 integrate
.. //depot/projects/trustedbsd/base/release/Makefile#83 integrate
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/Makefile#8
 integrate
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/Makefile.inc#3
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/amd64/Makefile#3
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/amd64/article.sgml#3
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/amd64/proc-amd64.sgml#5
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/article.sgml#1
 branch
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/i386/Makefile#4
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/i386/article.sgml#5
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/i386/proc-i386.sgml#11
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/ia64/Makefile#5
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/ia64/article.sgml#5
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/ia64/proc-ia64.sgml#8
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/pc98/Makefile#3
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/pc98/article.sgml#3
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/pc98/proc-pc98.sgml#4
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/powerpc/Makefile#2
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/powerpc/article.sgml#2
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/powerpc/proc-powerpc.sgml#2
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/sparc64/Makefile#4
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/sparc64/article.sgml#5
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/hardware/sparc64/proc-sparc64.sgml#8
 delete
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/readme/article.sgml#20
 integrate
.. 
//depot/projects/trustedbsd/base/release/doc/en_US.ISO8859-1/relnotes/article.sgml#3
 integrate
.. 
//depot/projects/trustedbsd/base/release/doc/share/examples/Makefile.relnotesng#13
 integrate
.. //depot/projects/trustedbsd/base/release/doc/share/misc/man2hwnotes.pl#5 
integrate
.. //depot/projects/trustedbsd/base/release/doc/share/mk/doc.relnotes.mk#4 
integrate
.. //depot/projects/trustedbsd/base/release/doc/share/sgml/Makefile#2 integrate
.. //depot/projects/trustedbsd/base/sbin/dhclient/clparse.c#3 integrate
.. //depot/projects/trustedbsd/base/sbin/dhclient/dhclient-script#6 integrate
.. //depot/projects/trustedbsd/base/sbin/dhclient/dhclient.c#9 integrate
.. //depot/projects/trustedbsd/base/sbin/dhclient/dhclient.conf#2 integrate
.. //depot/projects/trustedbsd/base/sbin/dhclient/dhcp.h#2 integrate
.. //depot/projects/trustedbsd/base/sbin/dhclient/tables.c#4 integrate
.. //depot/projects/trustedbsd/base/sbin/ffsinfo/ffsinfo.c#7 integrate
.. //depot/projects/trustedbsd/base/sbin/geom/class/journal/Makefile#2 integrate
.. //depot/projects/trustedbsd/base/sbin/ifconfig/ifgroup.c#2 integrate
.. //depot/projects/trustedbsd/base/sbin/ifconfig/ifieee80211.c#24 integrate
.. //depot/projects/trustedbsd/base/sbin/ipfw/ipfw.8#51 integrate
.. //depot/projects/trustedbsd/base/sbin/kldload/kldload.8#12 integrate
.. //depot/projects/trustedbsd/base/sbin/kldstat/kldstat.8#7 integrate
.. //depot/projects/trustedbsd/base/sbin/kldunload/kldunload.8#6 integrate
.. //depot/projects/trustedbsd/base/sbin/mdmfs/mdmfs.8#18 integrate
.. //depot/projects/trustedbsd/base/sbin/mdmfs/mdmfs.c#16 integrate
.. //depot/projects/trustedbsd/base/sbin/mount_unionfs/Makefile#5 integrate
.. //depot/projects/trustedbsd/base/sbin/mount_unionfs/mount_unionfs.c#12 
integrate
.. //depot/projects/trustedbsd/base/share/dict/web2a#2 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/Makefile#72 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/bce.4#5 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/enc.4#4 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/hwpmc.4#10 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/icmp.4#8 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/joy.4#8 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/kame.4#6 delete
.. //depot/projects/trustedbsd/base/share/man/man4/kld.4#7 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/man4.i386/fe.4#10 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/man4.i386/ndis.4#7 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/ng_bt3c.4#8 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/pim.4#3 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/snd_hda.4#4 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/snd_sbc.4#7 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/uark.4#2 integrate
.. //depot/projects/trustedbsd/base/share/man/man4/ubsa.4#7 integrate
.. //depot/projects/trustedbsd/base/share/man/man5/rc.conf.5#67 integrate
.. //depot/projects/trustedbsd/base/share/man/man9/Makefile#55 integrate
.. //depot/projects/trustedbsd/base/share/man/man9/VFS_VPTOFH.9#4 delete
.. //depot/projects/trustedbsd/base/share/man/man9/VOP_VPTOFH.9#1 branch
.. //depot/projects/trustedbsd/base/share/man/man9/device_set_driver.9#4 
integrate
.. //depot/projects/trustedbsd/base/share/man/man9/firmware.9#4 integrate
.. //depot/projects/trustedbsd/base/share/man/man9/ieee80211_ioctl.9#4 integrate
.. //depot/projects/trustedbsd/base/share/man/man9/mbuf.9#26 integrate
.. //depot/projects/trustedbsd/base/sys/amd64/amd64/msi.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/amd64/amd64/pmap.c#37 integrate
.. //depot/projects/trustedbsd/base/sys/amd64/amd64/uma_machdep.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/amd64/conf/GENERIC#30 integrate
.. //depot/projects/trustedbsd/base/sys/amd64/linux32/linux.h#9 integrate
.. //depot/projects/trustedbsd/base/sys/amd64/linux32/linux32_machdep.c#15 
integrate
.. //depot/projects/trustedbsd/base/sys/amd64/linux32/linux32_proto.h#17 
integrate
.. //depot/projects/trustedbsd/base/sys/amd64/linux32/linux32_syscall.h#17 
integrate
.. //depot/projects/trustedbsd/base/sys/amd64/linux32/linux32_sysent.c#17 
integrate
.. //depot/projects/trustedbsd/base/sys/amd64/linux32/syscalls.master#17 
integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/busdma_machdep.c#14 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/cpufunc.c#10 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/db_interface.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/elf_trampoline.c#10 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/locore.S#9 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/machdep.c#10 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/mem.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/arm/arm/sys_machdep.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/arm/at91/if_ate.c#14 integrate
.. //depot/projects/trustedbsd/base/sys/arm/conf/EP80219#4 integrate
.. //depot/projects/trustedbsd/base/sys/arm/conf/IQ31244#9 integrate
.. //depot/projects/trustedbsd/base/sys/arm/conf/SIMICS#10 integrate
.. //depot/projects/trustedbsd/base/sys/arm/xscale/ixp425/if_npe.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/arm/xscale/ixp425/ixp425_npe.c#2 
integrate
.. //depot/projects/trustedbsd/base/sys/conf/NOTES#82 integrate
.. //depot/projects/trustedbsd/base/sys/conf/files#111 integrate
.. //depot/projects/trustedbsd/base/sys/conf/options#79 integrate
.. //depot/projects/trustedbsd/base/sys/conf/options.arm#14 integrate
.. //depot/projects/trustedbsd/base/sys/dev/aac/aac.c#40 integrate
.. //depot/projects/trustedbsd/base/sys/dev/aic7xxx/aic79xx.seq#16 integrate
.. //depot/projects/trustedbsd/base/sys/dev/arcmsr/arcmsr.c#11 integrate
.. //depot/projects/trustedbsd/base/sys/dev/arcmsr/arcmsr.h#3 integrate
.. //depot/projects/trustedbsd/base/sys/dev/ata/ata-all.h#36 integrate
.. //depot/projects/trustedbsd/base/sys/dev/ata/ata-chipset.c#47 integrate
.. //depot/projects/trustedbsd/base/sys/dev/ata/ata-pci.c#46 integrate
.. //depot/projects/trustedbsd/base/sys/dev/bge/if_bge.c#65 integrate
.. //depot/projects/trustedbsd/base/sys/dev/bge/if_bgereg.h#41 integrate
.. //depot/projects/trustedbsd/base/sys/dev/exca/exca.c#18 integrate
.. //depot/projects/trustedbsd/base/sys/dev/ipw/if_ipw.c#11 integrate
.. //depot/projects/trustedbsd/base/sys/dev/ipw/if_ipwvar.h#5 integrate
.. //depot/projects/trustedbsd/base/sys/dev/isp/isp_freebsd.h#30 integrate
.. //depot/projects/trustedbsd/base/sys/dev/isp/isp_pci.c#33 integrate
.. //depot/projects/trustedbsd/base/sys/dev/iwi/if_iwi.c#18 integrate
.. //depot/projects/trustedbsd/base/sys/dev/iwi/if_iwivar.h#8 integrate
.. //depot/projects/trustedbsd/base/sys/dev/mii/brgphy.c#30 integrate
.. //depot/projects/trustedbsd/base/sys/dev/mii/brgphyreg.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/dev/mpt/mpt_pci.c#25 integrate
.. //depot/projects/trustedbsd/base/sys/dev/msk/if_msk.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/dev/mxge/if_mxge.c#7 integrate
.. //depot/projects/trustedbsd/base/sys/dev/pccard/pccarddevs#43 integrate
.. //depot/projects/trustedbsd/base/sys/dev/pccbb/pccbb.c#50 integrate
.. //depot/projects/trustedbsd/base/sys/dev/pccbb/pccbb_pci.c#10 integrate
.. //depot/projects/trustedbsd/base/sys/dev/pci/pci.c#55 integrate
.. //depot/projects/trustedbsd/base/sys/dev/sound/pci/envy24.c#5 integrate
.. //depot/projects/trustedbsd/base/sys/dev/sound/pci/envy24ht.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/dev/sound/pci/hda/hdac.c#5 integrate
.. //depot/projects/trustedbsd/base/sys/dev/sound/pci/spicds.c#2 integrate
.. //depot/projects/trustedbsd/base/sys/dev/usb/ubsa.c#16 integrate
.. //depot/projects/trustedbsd/base/sys/dev/usb/usbdevs#60 integrate
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/TODO#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/TODO.hibler#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_bmap.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_iconv.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_lookup.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_mount.h#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_node.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_node.h#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_rrip.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_rrip.h#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_util.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_vfsops.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/cd9660_vnops.c#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/iso.h#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/cd9660/iso_rrip.h#1 branch
.. //depot/projects/trustedbsd/base/sys/fs/hpfs/hpfs_vfsops.c#25 integrate
.. //depot/projects/trustedbsd/base/sys/fs/hpfs/hpfs_vnops.c#27 integrate
.. //depot/projects/trustedbsd/base/sys/fs/msdosfs/msdosfs_vfsops.c#39 integrate
.. //depot/projects/trustedbsd/base/sys/fs/msdosfs/msdosfs_vnops.c#31 integrate
.. //depot/projects/trustedbsd/base/sys/fs/ntfs/ntfs_vfsops.c#27 integrate
.. //depot/projects/trustedbsd/base/sys/fs/ntfs/ntfs_vnops.c#23 integrate
.. //depot/projects/trustedbsd/base/sys/fs/nullfs/null_vfsops.c#21 integrate
.. //depot/projects/trustedbsd/base/sys/fs/nullfs/null_vnops.c#21 integrate
.. //depot/projects/trustedbsd/base/sys/fs/procfs/procfs_ioctl.c#15 integrate
.. //depot/projects/trustedbsd/base/sys/fs/udf/udf.h#9 integrate
.. //depot/projects/trustedbsd/base/sys/fs/udf/udf_vfsops.c#30 integrate
.. //depot/projects/trustedbsd/base/sys/fs/udf/udf_vnops.c#34 integrate
.. //depot/projects/trustedbsd/base/sys/fs/umapfs/umap_vfsops.c#22 integrate
.. //depot/projects/trustedbsd/base/sys/fs/umapfs/umap_vnops.c#10 integrate
.. //depot/projects/trustedbsd/base/sys/fs/unionfs/union_vfsops.c#25 integrate
.. //depot/projects/trustedbsd/base/sys/fs/unionfs/union_vnops.c#28 integrate
.. //depot/projects/trustedbsd/base/sys/gnu/fs/ext2fs/ext2_vfsops.c#9 integrate
.. //depot/projects/trustedbsd/base/sys/gnu/fs/ext2fs/ext2_vnops.c#5 integrate
.. //depot/projects/trustedbsd/base/sys/gnu/fs/reiserfs/reiserfs_vfsops.c#7 
integrate
.. //depot/projects/trustedbsd/base/sys/gnu/fs/reiserfs/reiserfs_vnops.c#2 
integrate
.. //depot/projects/trustedbsd/base/sys/gnu/fs/xfs/FreeBSD/xfs_mountops.c#5 
integrate
.. //depot/projects/trustedbsd/base/sys/gnu/fs/xfs/FreeBSD/xfs_vnops.c#3 
integrate
.. //depot/projects/trustedbsd/base/sys/i386/conf/GENERIC#62 integrate
.. //depot/projects/trustedbsd/base/sys/i386/i386/db_trace.c#24 integrate
.. //depot/projects/trustedbsd/base/sys/i386/i386/msi.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/i386/i386/pmap.c#72 integrate
.. //depot/projects/trustedbsd/base/sys/i386/linux/linux.h#15 integrate
.. //depot/projects/trustedbsd/base/sys/i386/linux/linux_machdep.c#30 integrate
.. //depot/projects/trustedbsd/base/sys/i386/linux/linux_proto.h#30 integrate
.. //depot/projects/trustedbsd/base/sys/i386/linux/linux_syscall.h#30 integrate
.. //depot/projects/trustedbsd/base/sys/i386/linux/linux_sysent.c#31 integrate
.. //depot/projects/trustedbsd/base/sys/i386/linux/syscalls.master#29 integrate
.. //depot/projects/trustedbsd/base/sys/ia64/conf/GENERIC#41 integrate
.. //depot/projects/trustedbsd/base/sys/ia64/ia64/pmap.c#56 integrate
.. //depot/projects/trustedbsd/base/sys/ia64/ia64/uma_machdep.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/TODO#2 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/TODO.hibler#2 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_bmap.c#8 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_iconv.c#2 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_lookup.c#13 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_mount.h#6 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_node.c#15 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_node.h#10 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_rrip.c#11 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_rrip.h#5 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_util.c#7 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_vfsops.c#33 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/cd9660_vnops.c#22 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/iso.h#12 delete
.. //depot/projects/trustedbsd/base/sys/isofs/cd9660/iso_rrip.h#5 delete
.. //depot/projects/trustedbsd/base/sys/kern/Make.tags.inc#6 integrate
.. //depot/projects/trustedbsd/base/sys/kern/kern_descrip.c#70 integrate
.. //depot/projects/trustedbsd/base/sys/kern/kern_jail.c#26 integrate
.. //depot/projects/trustedbsd/base/sys/kern/kern_ktrace.c#36 integrate
.. //depot/projects/trustedbsd/base/sys/kern/kern_resource.c#37 integrate
.. //depot/projects/trustedbsd/base/sys/kern/kern_sig.c#69 integrate
.. //depot/projects/trustedbsd/base/sys/kern/subr_firmware.c#5 integrate
.. //depot/projects/trustedbsd/base/sys/kern/sysv_msg.c#22 integrate
.. //depot/projects/trustedbsd/base/sys/kern/uipc_debug.c#1 branch
.. //depot/projects/trustedbsd/base/sys/kern/uipc_socket.c#66 integrate
.. //depot/projects/trustedbsd/base/sys/kern/uipc_usrreq.c#47 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_default.c#41 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_export.c#21 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_init.c#18 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_lookup.c#28 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_mount.c#56 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_syscalls.c#76 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vfs_vnops.c#63 integrate
.. //depot/projects/trustedbsd/base/sys/kern/vnode_if.src#31 integrate
.. //depot/projects/trustedbsd/base/sys/modules/cd9660/Makefile#4 integrate
.. //depot/projects/trustedbsd/base/sys/modules/cd9660_iconv/Makefile#2 
integrate
.. //depot/projects/trustedbsd/base/sys/netinet/in_pcb.c#47 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/in_pcb.h#32 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/in_proto.c#23 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/ip_mroute.c#37 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_asconf.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_auth.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_auth.h#2 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_constants.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_crc32.c#3 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_indata.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_input.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_os.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_os_bsd.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_output.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_pcb.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_peeloff.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_structs.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_timer.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_uio.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_usrreq.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctp_var.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctputil.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/sctputil.h#4 integrate
.. //depot/projects/trustedbsd/base/sys/netinet/tcp_usrreq.c#40 integrate
.. //depot/projects/trustedbsd/base/sys/netinet6/icmp6.c#28 integrate
.. //depot/projects/trustedbsd/base/sys/netinet6/sctp6_usrreq.c#4 integrate
.. //depot/projects/trustedbsd/base/sys/netsmb/smb_dev.c#19 integrate
.. //depot/projects/trustedbsd/base/sys/nfsclient/nfs_socket.c#41 integrate
.. //depot/projects/trustedbsd/base/sys/nfsserver/nfs_serv.c#44 integrate
.. //depot/projects/trustedbsd/base/sys/pc98/conf/GENERIC#51 integrate
.. //depot/projects/trustedbsd/base/sys/powerpc/conf/GENERIC#35 integrate
.. //depot/projects/trustedbsd/base/sys/powerpc/powerpc/cpu.c#6 integrate
.. //depot/projects/trustedbsd/base/sys/powerpc/powerpc/machdep.c#42 integrate
.. //depot/projects/trustedbsd/base/sys/security/mac_biba/mac_biba.c#54 
integrate
.. 
//depot/projects/trustedbsd/base/sys/security/mac_seeotheruids/mac_seeotheruids.c#12
 integrate
.. //depot/projects/trustedbsd/base/sys/sparc64/conf/GENERIC#58 integrate
.. //depot/projects/trustedbsd/base/sys/sun4v/conf/GENERIC#4 integrate
.. //depot/projects/trustedbsd/base/sys/sys/firmware.h#3 integrate
.. //depot/projects/trustedbsd/base/sys/sys/mount.h#44 integrate
.. //depot/projects/trustedbsd/base/sys/sys/priv.h#2 integrate
.. //depot/projects/trustedbsd/base/sys/sys/systm.h#45 integrate
.. //depot/projects/trustedbsd/base/sys/sys/vnode.h#66 integrate
.. //depot/projects/trustedbsd/base/sys/tools/fw_stub.awk#3 integrate
.. //depot/projects/trustedbsd/base/sys/ufs/ffs/README.softupdates#2 delete
.. //depot/projects/trustedbsd/base/sys/ufs/ffs/ffs_alloc.c#36 integrate
.. //depot/projects/trustedbsd/base/sys/ufs/ffs/ffs_extern.h#21 integrate
.. //depot/projects/trustedbsd/base/sys/ufs/ffs/ffs_softdep.c#44 integrate
.. //depot/projects/trustedbsd/base/sys/ufs/ffs/ffs_vfsops.c#57 integrate
.. //depot/projects/trustedbsd/base/sys/ufs/ffs/ffs_vnops.c#41 integrate
.. //depot/projects/trustedbsd/base/sys/ufs/ufs/ufs_quota.c#32 integrate
.. //depot/projects/trustedbsd/base/sys/vm/uma.h#18 integrate
.. //depot/projects/trustedbsd/base/sys/vm/uma_core.c#48 integrate
.. //depot/projects/trustedbsd/base/sys/vm/vm_page.c#71 integrate
.. //depot/projects/trustedbsd/base/sys/vm/vm_zeroidle.c#22 integrate
.. //depot/projects/trustedbsd/base/usr.bin/gzip/Makefile#2 integrate
.. //depot/projects/trustedbsd/base/usr.bin/gzip/zgrep#2 delete
.. //depot/projects/trustedbsd/base/usr.bin/gzip/zgrep.1#2 delete
.. //depot/projects/trustedbsd/base/usr.bin/ktrace/ktrace.c#7 integrate
.. //depot/projects/trustedbsd/base/usr.bin/netstat/route.c#16 integrate
.. //depot/projects/trustedbsd/base/usr.bin/quota/quota.1#7 integrate
.. //depot/projects/trustedbsd/base/usr.bin/quota/quota.c#12 integrate
.. //depot/projects/trustedbsd/base/usr.bin/tar/write.c#16 integrate
.. //depot/projects/trustedbsd/base/usr.sbin/pstat/pstat.c#20 integrate
.. //depot/projects/trustedbsd/base/usr.sbin/rpc.ypupdated/update.c#3 integrate
.. //depot/projects/trustedbsd/base/usr.sbin/setfmac/setfmac.c#7 integrate
.. //depot/projects/trustedbsd/base/usr.sbin/sysinstall/install.cfg#2 integrate
.. //depot/projects/trustedbsd/base/usr.sbin/sysinstall/sysinstall.8#20 
integrate

Differences ...

==== //depot/projects/trustedbsd/base/ObsoleteFiles.inc#19 (text+ko) ====

@@ -1,5 +1,5 @@
 #
-# $FreeBSD: src/ObsoleteFiles.inc,v 1.71 2007/02/01 08:45:26 rafan Exp $
+# $FreeBSD: src/ObsoleteFiles.inc,v 1.73 2007/02/12 21:41:17 brueffer Exp $
 #
 # This file lists old files (OLD_FILES), libraries (OLD_LIBS) and
 # directories (OLD_DIRS) which should get removed at an update. Recently
@@ -14,6 +14,8 @@
 # The file is partitioned: OLD_FILES first, then OLD_LIBS and OLD_DIRS last.
 #
 
+# 20070212: kame.4 removed
+OLD_FILES+=usr/share/man/man4/kame.4.gz
 # 20070201: remove libmytinfo link
 OLD_FILES+=usr/lib/libmytinfo.a
 OLD_FILES+=usr/lib/libmytinfo.so
@@ -33,7 +35,7 @@
 OLD_FILES+=usr/lib/libalias_pptp.so
 OLD_FILES+=usr/lib/libalias_skinny.so
 OLD_FILES+=usr/lib/libalias_smedia.so
-# 20061201: remove old *.so.4 liablias modules
+# 20061201: remove old *.so.4 libalias modules
 OLD_FILES+=lib/libalias_cuseeme.so.4
 OLD_FILES+=lib/libalias_dummy.so.4
 OLD_FILES+=lib/libalias_ftp.so.4

==== //depot/projects/trustedbsd/base/UPDATING#76 (text+ko) ====

@@ -21,6 +21,24 @@
        developers choose to disable these features on build machines
        to maximize performance.
 
+20070214:
+       The output of netstat -r has changed. Without -n, we now only
+       print a "network name" without the prefix length if the network
+       address and mask exactly match a Class A/B/C network, and an entry
+       exists in the nsswitch "networks" map.
+       With -n, we print the full unabbreviated CIDR network prefix in
+       the form "a.b.c.d/p". 0.0.0.0/0 is always printed as "default".
+       This change is in preparation for changes such as equal-cost
+       multipath, and to more generally assist operational deployment
+       of FreeBSD as a modern IPv4 router.
+
+20070210:
+       PIM has been turned on by default in the IPv4 multicast
+       routing code. The kernel option 'PIM' has now been removed.
+       PIM is now built by default if option 'MROUTING' is specified.
+       It may now be loaded into GENERIC kernels by loading the
+       ip_mroute.ko module.
+
 20070207:
        Support for IPIP tunnels (VIFF_TUNNEL) in IPv4 multicast routing
        has been removed. Its functionality may be achieved by explicitly
@@ -712,4 +730,4 @@
 Contact Warner Losh if you have any questions about your use of
 this document.
 
-$FreeBSD: src/UPDATING,v 1.471 2007/02/07 16:04:11 bms Exp $
+$FreeBSD: src/UPDATING,v 1.473 2007/02/14 14:17:01 bms Exp $

==== //depot/projects/trustedbsd/base/bin/expr/expr.y#8 (text+ko) ====

@@ -5,7 +5,7 @@
  *
  * Largely rewritten by J.T. Conklin (jtc@xxxxxxxxxx)
  *
- * $FreeBSD: src/bin/expr/expr.y,v 1.24 2005/01/10 08:39:22 imp Exp $
+ * $FreeBSD: src/bin/expr/expr.y,v 1.25 2007/02/18 19:48:58 ceri Exp $
  */
 
 #include <sys/types.h>
@@ -539,7 +539,7 @@
        /* special case: first operand is 0, no overflow possible */
        if (a == 0)
                return 0;
-       /* cerify that result of division matches second operand */
+       /* verify that result of division matches second operand */
        if (r / a != b)
                return 1;
        return 0;
@@ -637,7 +637,7 @@
        int eval;
        struct val *v;
 
-       /* coerce to both arguments to strings */
+       /* coerce both arguments to strings */
        to_string(a);
        to_string(b);
 

==== //depot/projects/trustedbsd/base/etc/defaults/rc.conf#65 (text+ko) ====

@@ -15,7 +15,7 @@
 # For a more detailed explanation of all the rc.conf variables, please
 # refer to the rc.conf(5) manual page.
 #
-# $FreeBSD: src/etc/defaults/rc.conf,v 1.303 2007/01/20 04:24:19 mpp Exp $
+# $FreeBSD: src/etc/defaults/rc.conf,v 1.304 2007/02/09 12:11:27 flz Exp $
 
 ##############################################################
 ###  Important initial Boot-time options  ####################
@@ -178,11 +178,15 @@
 sppp_interfaces=""             # List of sppp interfaces.
 #sppp_interfaces="isp0"                # example: sppp over ISDN
 #spppconfig_isp0="authproto=chap myauthname=foo myauthsecret='top secret' 
hisauthname=some-gw hisauthsecret='another secret'"
-gif_interfaces="NO"            # List of GIF tunnels (or "NO").
+gif_interfaces=""              # List of GIF tunnels.
 #gif_interfaces="gif0 gif1"    # Examples typically for a router.
                                # Choose correct tunnel addrs.
 #gifconfig_gif0="10.1.1.1 10.1.2.1"    # Examples typically for a router.
 #gifconfig_gif1="10.1.1.2 10.1.2.2"    # Examples typically for a router.
+fec_interfaces=""              # List of Fast EtherChannels.
+#fec_interfaces="fec0 fec1"
+#fecconfig_fec0="fxp0 dc0"     # Examples typically for two NICs
+#fecconfig_fec1="em0 em1 bge0 bge1"    # Examples typically for four NICs
 
 # User ppp configuration.
 ppp_enable="NO"                # Start user-ppp (or NO).

==== //depot/projects/trustedbsd/base/etc/devd.conf#21 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/etc/devd.conf,v 1.33 2006/06/01 00:41:07 thompsa Exp $
+# $FreeBSD: src/etc/devd.conf,v 1.35 2007/02/15 16:38:10 imp Exp $
 #
 # Refer to devd.conf(5) and devd(8) man pages for the details on how to
 # run and configure devd.
@@ -155,11 +155,42 @@
 
 # Don't even try to second guess what to do about drivers that don't
 # match here.  Instead, pass it off to syslog.  Commented out for the
-# moment, as pnpinfo isn't set in devd yet.
+# moment, as the pnpinfo variable isn't set in devd yet.  Individual
+# variables within the bus supplied pnpinfo are set.
 nomatch 0 {
 #      action "logger Unknown device: $pnpinfo $location $bus";
 };
 
+# Various logging of unknown devices.
+nomatch 10 {
+       match "bus" "uhub[0-9]+";
+       action "logger Unknown USB device: vendor $vendor product $product \
+               bus $bus";
+};
+
+# Some PC-CARDs don't offer numerical manufacturer/product IDs, just
+# show the CIS info there.
+nomatch 20 {
+       match "bus" "pccard[0-9]+";
+       match "manufacturer" "0xffffffff";
+       match "product" "0xffffffff";
+       action "logger Unknown PCCARD device: CISproduct $cisproduct \
+               CIS-vendor $cisvendor bus $bus";
+};
+
+nomatch 10 {
+       match "bus" "pccard[0-9]+";
+       action "logger Unknown PCCARD device: manufacturer $manufacturer \
+               product $product CISproduct $cisproduct CIS-vendor \
+               $cisvendor bus $bus";
+};
+
+nomatch 10 {
+       match "bus" "cardbus[0-9]+";
+       action "logger Unknown Cardbus device: device $device class $class \
+               vendor $vendor bus $bus";
+};
+
 # Switch power profiles when the AC line state changes.
 notify 10 {
        match "system"          "ACPI";

==== //depot/projects/trustedbsd/base/etc/network.subr#16 (text+ko) ====

@@ -22,7 +22,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: src/etc/network.subr,v 1.176 2006/10/29 13:29:49 mlaier Exp $
+# $FreeBSD: src/etc/network.subr,v 1.177 2007/02/09 12:11:26 flz Exp $
 #
 
 #
@@ -455,26 +455,89 @@
        debug "Destroyed clones: ${_list}"
 }
 
+# Create netgraph nodes.
+#
+ng_mkpeer() {
+       ngctl -f - 2> /dev/null <<EOF
+mkpeer $*
+msg dummy nodeinfo
+EOF
+}
+
+ng_create_one() {
+       ng_mkpeer $* | while read line; do
+               t=`expr "${line}" : '.* name="\([a-z]*[0-9]*\)" .*'`
+               if [ -n "${t}" ]; then
+                       echo ${t}
+                       return
+               fi
+       done
+}
+
 gif_up() {
+       # The following must be removed once RELENG_7 is branched.
        case ${gif_interfaces} in
-       [Nn][Oo] | '')
+       [Nn][Oo])
+               warn "gif_interfaces=\"NO\" is deprecated, use 
gif_interfaces=\"\" instead."
+               gif_interfaces=""
                ;;
-       *)
-               for i in ${gif_interfaces}; do
-                       peers=`get_if_var $i gifconfig_IF`
-                       case ${peers} in
+       esac
+
+       for i in ${gif_interfaces}; do
+               peers=`get_if_var $i gifconfig_IF`
+               case ${peers} in
+               '')
+                       continue
+                       ;;
+               *)
+                       ifconfig $i create >/dev/null 2>&1
+                       ifconfig $i tunnel ${peers}
+                       ifconfig $i up
+                       ;;
+               esac
+       done
+}
+
+# ng_fec_create ifn
+# Configure Fast EtherChannel for interface $ifn. Returns 0 if FEC
+# arguments were found and configured; returns !0 otherwise.
+ng_fec_create() {
+        local req_iface iface bogus
+        req_iface="$1"
+
+        ngctl shutdown ${req_iface}: > /dev/null 2>&1
+
+        bogus=""
+        while true; do
+                iface=`ng_create_one fec dummy fec`
+                if [ -z "${iface}" ]; then
+                        exit 2
+                fi
+                if [ "${iface}" = "${req_iface}" ]; then
+                        break
+                fi
+                bogus="${bogus} ${iface}"
+        done
+
+        for iface in ${bogus}; do
+                ngctl shutdown ${iface}:
+        done
+}
+
+fec_up() {
+       for i in ${fec_interfaces}; do
+               ng_fec_create $i
+               for j in `get_if_var $i fecconfig_IF`; do
+                       case ${j} in
                        '')
                                continue
                                ;;
                        *)
-                               ifconfig $i create >/dev/null 2>&1
-                               ifconfig $i tunnel ${peers}
-                               ifconfig $i up
+                               ngctl msg ${i}: add_iface "\"${j}\""
                                ;;
                        esac
                done
-               ;;
-       esac
+       done
 }
 
 #

==== //depot/projects/trustedbsd/base/etc/rc.d/dhclient#17 (text+ko) ====

@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $NetBSD: dhclient,v 1.8 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/dhclient,v 1.25 2006/10/02 18:50:58 brooks Exp $
+# $FreeBSD: src/etc/rc.d/dhclient,v 1.26 2007/02/15 06:51:31 yar Exp $
 #
 
 # PROVIDE: dhclient
@@ -19,9 +19,9 @@
 dhclient_start()
 {
        # prevent unnecessary restarts
-       # XXX: should use a pidfile
-       if [ -x /usr/bin/pgrep ]; then
-               pids=`/usr/bin/pgrep -f "dhclient: $ifn(\$| .*)"`
+       # XXX: dhclient had better create a pidfile
+       if [ -x /bin/pgrep ]; then
+               pids=`/bin/pgrep -f "dhclient: $ifn(\$| .*)"`
                if [ -n "$pids" ]; then
                        exit 0
                fi

==== //depot/projects/trustedbsd/base/etc/rc.d/hostname#7 (text+ko) ====

@@ -23,7 +23,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: src/etc/rc.d/hostname,v 1.8 2004/10/07 13:55:25 mtm Exp $
+# $FreeBSD: src/etc/rc.d/hostname,v 1.11 2007/02/15 06:46:33 yar Exp $
 #
 
 # PROVIDE: hostname
@@ -31,6 +31,7 @@
 # BEFORE:  netif
 
 . /etc/rc.subr
+. /etc/network.subr
 
 name="hostname"
 start_cmd="hostname_start"
@@ -58,8 +59,21 @@
                fi
        fi
 
-       /bin/hostname ${hostname}
-       echo "Setting hostname: `hostname`."
+       # Have we got a hostname yet?
+       #
+       if [ -z "${hostname}" ]; then
+               # Null hostname is probably OK if DHCP is in use.
+               #
+               if [ -z "`list_net_interfaces dhcp`" ]; then
+                       warn "\$hostname is not set -- see ${rcvar_manpage}."
+               fi
+               return
+       fi
+
+       # All right, it is safe to invoke hostname(1) now.
+       #
+       echo "Setting hostname: ${hostname}."
+       /bin/hostname "${hostname}"
 }
 
 load_rc_config $name

==== //depot/projects/trustedbsd/base/etc/rc.d/netif#16 (text+ko) ====

@@ -22,7 +22,7 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
-# $FreeBSD: src/etc/rc.d/netif,v 1.21 2006/12/30 22:53:20 yar Exp $
+# $FreeBSD: src/etc/rc.d/netif,v 1.22 2007/02/09 12:11:26 flz Exp $
 #
 
 # PROVIDE: netif
@@ -57,6 +57,9 @@
                # Create cloned interfaces
                clone_up
 
+               # Create Fast EtherChannel interfaces
+               fec_up
+
                # Create IPv6<-->IPv4 tunnels
                gif_up
 

==== //depot/projects/trustedbsd/base/gnu/usr.bin/binutils/Makefile.inc0#13 
(text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/gnu/usr.bin/binutils/Makefile.inc0,v 1.37 2004/07/08 17:05:30 
obrien Exp $
+# $FreeBSD: src/gnu/usr.bin/binutils/Makefile.inc0,v 1.38 2007/02/11 07:15:05 
marcel Exp $
 #
 # This is included explicitly at the top of each sub-Makefile.  We can't
 # use the normal "Makefile.inc" mechanism, because we need some of these
@@ -22,6 +22,12 @@
 RELSRC=        ${RELTOP}/../../../contrib/binutils
 SRCDIR=        ${.CURDIR}/${RELSRC}
 
+.if ${TARGET_ARCH} == "arm" || ${TARGET_ARCH} == "i386" || ${TARGET_ARCH} == 
"powerpc"
+CFLAGS+= -DBFD_DEFAULT_TARGET_SIZE=32
+.else
+CFLAGS+= -DBFD_DEFAULT_TARGET_SIZE=64
+.endif
+
 CFLAGS+= -I.
 .if exists(${.CURDIR}/${TARGET_ARCH})
 CFLAGS+= -I${.CURDIR}/${TARGET_ARCH}

==== //depot/projects/trustedbsd/base/gnu/usr.bin/binutils/libbfd/bfd.h#2 
(text+ko) ====

@@ -1,4 +1,4 @@
-/* $FreeBSD: src/gnu/usr.bin/binutils/libbfd/bfd.h,v 1.3 2004/07/08 17:05:32 
obrien Exp $ */
+/* $FreeBSD: src/gnu/usr.bin/binutils/libbfd/bfd.h,v 1.4 2007/02/11 07:15:06 
marcel Exp $ */
 
 /* DO NOT EDIT!  -*- buffer-read-only: t -*-  This file is automatically 
    generated from "bfd-in.h", "init.c", "opncls.c", "libbfd.c", 
@@ -58,14 +58,10 @@
 
 
 #if defined(__i386__) || defined(__powerpc__) || defined(__arm__)
-/* The word size of the default bfd target.  */
-#define BFD_DEFAULT_TARGET_SIZE 32
 #define BFD_HOST_64BIT_LONG 0
 #define BFD_HOST_64_BIT long long
 #define BFD_HOST_U_64_BIT unsigned long long
 #elif defined(__alpha__) || defined(__sparc64__) || defined(__amd64__) || 
defined(__ia64__)
-/* The word size of the default bfd target.  */
-#define BFD_DEFAULT_TARGET_SIZE 64
 #define BFD_HOST_64BIT_LONG 1
 #define BFD_HOST_64_BIT long
 #define BFD_HOST_U_64_BIT unsigned long

==== //depot/projects/trustedbsd/base/include/Makefile#59 (text+ko) ====

@@ -1,5 +1,5 @@
 #      @(#)Makefile    8.2 (Berkeley) 1/4/94
-# $FreeBSD: src/include/Makefile,v 1.267 2007/01/25 22:38:04 peter Exp $
+# $FreeBSD: src/include/Makefile,v 1.268 2007/02/11 14:01:32 rodrigc Exp $
 #
 # Doing a "make install" builds /usr/include.
 
@@ -47,7 +47,6 @@
        fs/unionfs \
        geom/cache geom/concat geom/eli geom/gate geom/journal geom/label \
        geom/mirror geom/nop geom/raid3 geom/shsec geom/stripe \
-       isofs/cd9660 \
        netatm/ipatm netatm/sigpvc netatm/spans netatm/uni \
        netgraph/atm netgraph/netflow \
        security/audit \
@@ -163,6 +162,9 @@
        cd ${.CURDIR}/../sys/contrib/altq/altq; \
        ${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
            ${DESTDIR}${INCLUDEDIR}/altq
+       cd ${.CURDIR}/../sys/fs/cd9660/; \
+       ${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
+           ${DESTDIR}${INCLUDEDIR}/isofs/cd9660
 .if ${MK_IPFILTER} != "no"
        cd ${.CURDIR}/../sys/contrib/ipfilter/netinet; \
        ${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
@@ -287,3 +289,8 @@
        done
 .endif
 .endif
+       cd ${.CURDIR}/../sys/fs/cd9660; \
+       for h in *.h; do \
+               ln -fs ../../../../sys/fs/cd9660/$$h \
+                   ${DESTDIR}${INCLUDEDIR}/isofs/cd9660; \
+       done

==== //depot/projects/trustedbsd/base/lib/libc/gen/getcap.3#8 (text+ko) ====

@@ -29,7 +29,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\"    @(#)getcap.3    8.4 (Berkeley) 5/13/94
-.\" $FreeBSD: src/lib/libc/gen/getcap.3,v 1.29 2007/01/09 00:27:53 imp Exp $
+.\" $FreeBSD: src/lib/libc/gen/getcap.3,v 1.30 2007/02/11 18:14:49 maxim Exp $
 .\"
 .Dd March 22, 2002
 .Dt GETCAP 3
@@ -527,7 +527,7 @@
 The
 .Fn cgetent ,
 and
-.Fn cgetseq
+.Fn cgetset
 functions may fail and set
 .Va errno
 for any of the errors specified for the library functions:

==== //depot/projects/trustedbsd/base/lib/libc/sys/kse.2#15 (text+ko) ====

@@ -33,9 +33,9 @@
 .\" THE USE OF THIS SOFTWARE, EVEN IF PACKET DESIGN IS ADVISED OF
 .\" THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libc/sys/kse.2,v 1.19 2006/12/12 08:13:02 julian Exp $
+.\" $FreeBSD: src/lib/libc/sys/kse.2,v 1.22 2007/02/14 07:38:39 brueffer Exp $
 .\"
-.Dd July 12, 2004
+.Dd February 13, 2007
 .Dt KSE 2
 .Os
 .Sh NAME
@@ -47,7 +47,7 @@
 .In sys/types.h
 .In sys/kse.h
 .Ft int
-.Fn kse_create "struct kse_mailbox *mbx" "int newgroup"
+.Fn kse_create "struct kse_mailbox *mbx" "int sys-scope"
 .Ft int
 .Fn kse_exit void
 .Ft int
@@ -103,9 +103,6 @@
 .It
 All operations that block in the kernel become asynchronous, allowing
 the user process to schedule another thread when any thread blocks.
-.It
-Multiple thread schedulers within the same process are possible, and they
-may operate independently of each other.
 .El
 .\"
 .Ss Definitions
@@ -124,6 +121,8 @@
 The KSE is said to be
 .Sy assigned
 to the thread.
+KSEs (a user abstraction) are implemented on top
+of kernel threads using an 'upcall' entity.
 .Pp
 The KSE becomes
 .Sy unassigned ,
@@ -160,22 +159,13 @@
 KSEs always complete as much work as possible in the kernel before
 becoming unassigned.
 .Pp
-A
-.Sy "KSE group"
-is a collection of KSEs that are scheduled uniformly and which share
-access to the same pool of threads, which are associated with the KSE group.
-A KSE group is the smallest entity to which a kernel scheduling
-priority may be assigned.
-For the purposes of process scheduling and accounting, each
-KSE group
-counts similarly to a traditional unthreaded process.
-Individual KSEs within a KSE group are effectively indistinguishable,
-and any KSE in a KSE group may be assigned by the kernel to any runnable
-(in the kernel) thread associated with that KSE group.
+Individual KSEs within a process are effectively indistinguishable,
+and any KSE in a process may be assigned by the kernel to any runnable
+(in the kernel) thread associated with that process.
 In practice, the kernel attempts to preserve the affinity between threads
 and actual CPUs to optimize cache behavior, but this is invisible to the
 user process.
-(Affinity is not yet implemented.)
+(Affinity is not yet fully implemented.)
 .Pp
 Each KSE has a unique
 .Sy "KSE mailbox"
@@ -199,17 +189,17 @@
 This pointer is saved when the thread blocks in the kernel.
 .Pp
 Whenever a thread blocked in the kernel is ready to return to user space,
-it is added to the KSE group's list of
+it is added to the process's list of
 .Sy completed
 threads.
 This list is presented to the user code at the next upcall as a linked list
 of thread mailboxes.
 .Pp
-There is a kernel-imposed limit on the number of threads in a KSE group
+There is a kernel-imposed limit on the number of threads in a process
 that may be simultaneously blocked in the kernel (this number is not
 currently visible to the user).
 When this limit is reached, upcalls are blocked and no work is performed
-for the KSE group until one of the threads completes (or a signal is
+for the process until one of the threads completes (or a signal is
 received).
 .\"
 .Ss Managing KSEs
@@ -223,27 +213,32 @@
 The KSE will be associated with the mailbox pointed to by
 .Fa mbx .
 If
-.Fa newgroup
-is non-zero, a new KSE group is also created containing the KSE.
-Otherwise, the new KSE is added to the current KSE group.
-Newly created KSEs are initially unassigned; therefore,
-they will upcall immediately.
+.Fa sys_scope
+is non-zero, then the new thread will be counted as a system scope
+thread. Other things must be done as well to make a system scope thread
+so this is not sufficient (yet).
+System scope variables are not covered
+in detail in this manual page yet, but briefly, they never perform
+upcalls and do not return to the user thread scheduler.
+Once launched they run autonomously.
+The pthreads library knows how to make system
+scope threads and users are encouraged to use the library interface.
 .Pp
-Each process initially has a single KSE in a single KSE group executing
-a single user thread.
+Each process initially has a single KSE executing a single user thread.
 Since the KSE does not have an associated mailbox, it must remain assigned
 to the thread and does not perform any upcalls.
+(It is by definition a system scope thread).
 The result is the traditional, unthreaded mode of operation.
 Therefore, as a special case, the first call to
 .Fn kse_create
 by this initial thread with
-.Fa newgroup
+.Fa sys_scope
 equal to zero does not create a new KSE; instead, it simply associates the
 current KSE with the supplied KSE mailbox, and no immediate upcall results.
 However, an upcall will be triggered the next time the thread blocks and
 the required conditions are met.
 .Pp
-The kernel does not allow more KSEs to exist in a KSE group than the
+The kernel does not allow more KSEs to exist in a process than the
 number of physical CPUs in the system (this number is available as the
 .Xr sysctl 3
 variable
@@ -261,8 +256,8 @@
 .Fn kse_exit
 system call
 causes the KSE assigned to the currently running thread to be destroyed.
-If this KSE is the last one in the KSE group, there must be no remaining
-threads associated with the KSE group blocked in the kernel.
+If this KSE is the last one in the process, there must be no remaining
+threads associated with that process blocked in the kernel.
 This system call does not return unless there is an error.
 Calling
 .Fn kse_exit
@@ -309,7 +304,7 @@
 may be
 .Dv NULL
 to specify
-.Dq "any KSE in the current KSE group" .
+.Dq "any KSE in the current process" .
 .Pp
 The
 .Fn kse_thr_interrupt
@@ -460,7 +455,7 @@
 in the kernel since the last upcall.
 The user thread scheduler should put these threads back into its
 own runnable queue.
-Each thread in a KSE group that completes a kernel operation
+Each thread in a process that completes a kernel operation
 (synchronous or asynchronous) that results in an upcall is guaranteed to be
 linked into exactly one KSE's
 .Va km_completed
@@ -571,24 +566,8 @@
 will fail if:
 .Bl -tag -width Er
 .It Bq Er ENXIO
-There are already as many KSEs in the KSE group as hardware processors.
+There are already as many KSEs in the process as hardware processors.
 .It Bq Er EAGAIN
-The system-imposed limit on the total number of KSE groups under
-execution would be exceeded.
-The limit is given by the
-.Xr sysctl 3
-MIB variable
-.Dv KERN_MAXPROC .
-(The limit is actually ten less than this
-except for the super user.)
-.It Bq Er EAGAIN
-The user is not the super user, and the system-imposed limit on the total
-number of KSE groups under execution by a single user would be exceeded.
-The limit is given by the
-.Xr sysctl 3
-MIB variable
-.Dv KERN_MAXPROCPERUID .
-.It Bq Er EAGAIN
 The user is not the super user, and the soft resource limit corresponding
 to the
 .Fa resource
@@ -609,8 +588,8 @@
 will fail if:
 .Bl -tag -width Er
 .It Bq Er EDEADLK
-The current KSE is the last in its KSE group and there are still one or more
-threads associated with the KSE group blocked in the kernel.
+The current KSE is the last in its process and there are still one or more
+threads associated with the process blocked in the kernel.
 .It Bq Er ESRCH
 The current KSE has no associated mailbox, i.e., the process is operating

>>> TRUNCATED FOR MAIL (1000 lines) <<<
_______________________________________________
p4-projects@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/p4-projects
To unsubscribe, send any mail to "p4-projects-unsubscribe@xxxxxxxxxxx"

<Prev in Thread] Current Thread [Next in Thread>
  • PERFORCE change 114717 for review, Robert Watson <=